> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Index response signals

> Index JSON-formatted response signals into the signal collection specified in a query profile.  Usually this means signal documents were previously processed by another pipeline.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-query.json post /query/{id}/signals
openapi: 3.0.1
info:
  title: Fusion Query API
  description: >-
    A Lucidworks Fusion microservice for machine-learning-enhanced ranking and
    retrieval.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion app.
security:
  - Basic auth: []
  - API key: []
tags:
  - name: Custom Rule Type API
    description: Endpoints to define and manage custom rule type definitions.
  - name: Experiments API
    description: >-
      Use the Experiments API to compare different configuration variants and
      determine which ones are most successful.
  - name: Query Pipelines API
    description: >-
      Use these endpoints to view and manage your query pipelines.  You can also
      send queries using this API, though the Query Profiles API is recommended
      instead.
  - name: Query Profiles API
    description: >-
      The Query Profiles API provides static endpoints that you can consistently
      point to when querying your collections.  Query profiles allow you to
      change the query pipelines or collections behind them without changing the
      endpoint you use for your search queries.  See the Query Profiles CRUD API
      for endpoints that create and modify query profiles.
  - name: Query Profiles CRUD API
    description: >-
      Use these endpoints to create and modify query profiles.  Query profiles
      allow you to change the query pipelines or collections behind them without
      changing the endpoint you use for your search queries.  See the Query
      Profiles API for the query endpoints.
  - name: Query Rewrite API
    description: >-
      The Query Rewrite API manages documents used for query rewriting to
      improve relevancy using AI-generated data. Primarily for internal use.
  - name: Query Stage API
    description: >-
      Use these endpoints to view the available query pipeline stages and their
      configuration parameters.
  - name: Query Stage Plugins API
    description: >-
      Use these endpoints to view, install, and manage custom query stages
      developed with the Query Stage SDK.
  - name: Signal Indexing API
    description: Endpoints to index signals.
  - name: Experience Manager API
    description: API only for internal use by the Experience Manager Springboard system
  - name: Query Pipeline Template API
    description: Used internally to generate query pipelines from a template.
externalDocs:
  description: Lucidworks Documentation.
  url: https://doc.lucidworks.com/
paths:
  /query/{id}/signals:
    post:
      tags:
        - Query Profiles API
      summary: Index response signals
      description: >-
        Index JSON-formatted response signals into the signal collection
        specified in a query profile.  Usually this means signal documents were
        previously processed by another pipeline.
      operationId: submitSignalUsingPOST
      parameters:
        - name: id
          description: The query profile ID.
          in: path
          required: true
          schema:
            type: string
        - name: pipeline
          description: >-
            An index pipeline to use for processing signals. Note that the index
            pipeline must end with a Solr Indexer stage, and in this stage the
            `enforce_schema` property must be set to 'true'.
          in: query
          required: true
          schema:
            type: string
        - name: commit
          description: >-
            Whether to commit signals to the collection immediately after
            indexing.
          in: query
          required: false
          schema:
            type: boolean
            default: true
        - name: async
          description: >-
            Whether to execute the request asynchronously. If true, an
            autoCommit is issued and failures are not reported.
          in: query
          required: false
          schema:
            type: boolean
            default: false
      requestBody:
        content:
          application/vnd.lucidworks-document:
            schema:
              $ref: '#/components/schemas/IterablePipelineDocument'
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/Event'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: string
components:
  schemas:
    IterablePipelineDocument:
      type: object
    Event:
      type: object
      properties:
        id:
          type: string
        epoch:
          type: integer
          format: int64
        timestamp:
          type: string
        type:
          type: string
        params:
          type: object
  securitySchemes:
    Basic auth:
      type: http
      scheme: basic
    API key:
      name: x-api-key
      type: apiKey
      in: header

````